Announcement

Collapse
No announcement yet.

Major dilemna with upgrade / migration from Exch 07 to 2010

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Major dilemna with upgrade / migration from Exch 07 to 2010

    So, I have a dilemma.

    Client was running SBS2003 (demoted), Server2008 std (Is a DC) with Exchange 2007 sp3.
    Am in the process of upgrading / migrating to server 2008 r2 and Exchange
    2010. 2008 r2 server has all fsmo roles (Is Master of all) but when I
    go to install Ex2010, it fails because domain/forest functionality stuck
    at server 2008 std (Not r2). Is it possible to do an OS in place upgrade
    from std to r2 on the exchange 2007 box in order to completely raise the
    domain functionality to 2008 r2? Will exchange 2007 break if I manually
    change functionality with adsiedit?

    Other options?

  • #2
    Domain Functional Level is ONLY to do with the DCs - as long as the Exchange 2K7 box is NOT a DC, it can run any OS you like

    Also Exchange 2010 will work with FLs back to 2003 (see https://technet.microsoft.com/en-us/...xchg.150).aspx)

    I think you have some other issues
    Tom Jones
    MCT, MCSE (2000:Security & 2003), MCSA:Security & Messaging, MCDBA, MCDST, MCITP(EA, EMA, SA, EDA, ES, CS), MCTS, MCP, Sec+
    PhD, MSc, FIAP, MIITT
    IT Trainer / Consultant
    Ossian Ltd
    Scotland

    ** Remember to give credit where credit is due and leave reputation points where appropriate **

    Comment


    • #3
      They installed Exch07 on the 2008 std DC. From what I have read, it is not wise to demote a DC with Exchange. Is it possible to an in place OS upgrade from std to r2?

      Comment


      • #4
        Is there a way to install Exchange 2010 without the domain level functionality check?

        Comment


        • #5
          You are right - demoting a DC with Exchange will break Exchange
          Can you explain a bit more about your environment and what you are trying to do - in post 1 it is the domain FL, in post 3 you are talking about an OS upgrade

          As I said earlier, you should not need to raise the FL for Exchange 2010
          Tom Jones
          MCT, MCSE (2000:Security & 2003), MCSA:Security & Messaging, MCDBA, MCDST, MCITP(EA, EMA, SA, EDA, ES, CS), MCTS, MCP, Sec+
          PhD, MSc, FIAP, MIITT
          IT Trainer / Consultant
          Ossian Ltd
          Scotland

          ** Remember to give credit where credit is due and leave reputation points where appropriate **

          Comment


          • #6
            So, they started with SBS 2003. At some point, someone installed server 08 standard and installed Exchange 07. What I need to do is install and Migrate Exchange 2010 on server 2008 r2. I have already seized the FSMO and made the 2008 r2 the master of all. Problem is that when I get ready to install the Exchange 2010, it tells me that the Functional level is not high enough. Currently it is at server 2008 standard. I need it to be 2008 r2. Or, I install another non DC on server 2008 standard and then Exchange 2010 on that standard server.

            Comment


            • #7
              THat does not make sense - Exchange 2010 will work with 2003 forest functional level

              Have you tried installing on a non DC - 2008R2 preferably?
              Tom Jones
              MCT, MCSE (2000:Security & 2003), MCSA:Security & Messaging, MCDBA, MCDST, MCITP(EA, EMA, SA, EDA, ES, CS), MCTS, MCP, Sec+
              PhD, MSc, FIAP, MIITT
              IT Trainer / Consultant
              Ossian Ltd
              Scotland

              ** Remember to give credit where credit is due and leave reputation points where appropriate **

              Comment

              Working...
              X